org.apache.ignite.internal.processors.rest.protocols.tcp.redis

## Enum GridRedisCommand

- java.lang.Object
- - java.lang.Enum<GridRedisCommand>
  - - org.apache.ignite.internal.processors.rest.protocols.tcp.redis.GridRedisCommand

All Implemented Interfaces:
  Serializable, Comparable<GridRedisCommand>

    public enum GridRedisCommand
    extends Enum<GridRedisCommand>

Supported Redis-specific commands. See Redis commands for details.

Cache operations are handled via REST.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`APPEND` APPEND.
`DBSIZE` DBSIZE.
`DECR` DECR.
`DECRBY` DECRBY.
`DEL` DEL.
`ECHO` Echo.
`EXISTS` EXISTS.
`EXPIRE` EXPIRE.
`FLUSHALL` FLUSHALL.
`FLUSHDB` FLUSHDB.
`GET` GET.
`GETRANGE` GETRANGE.
`GETSET` GETSET.
`INCR` INCR.
`INCRBY` INCRBY.
`MGET` MGET.
`MSET` MSET.
`PEXPIRE` PEXPIRE.
`PING` Ping.
`QUIT` Connection close.
`SELECT` Select
`SET` SET.
`SETRANGE` SETRANGE.
`STRLEN` STRLEN.

### Method Summary

All Methods Static Methods Concrete Methods
`static GridRedisCommand` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GridRedisCommand[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PING

    public static final GridRedisCommand PING

Ping.

#### QUIT

    public static final GridRedisCommand QUIT

Connection close.

#### ECHO

    public static final GridRedisCommand ECHO

Echo.

#### SELECT

    public static final GridRedisCommand SELECT

Select

#### GET

    public static final GridRedisCommand GET

GET.

#### MGET

    public static final GridRedisCommand MGET

MGET.

#### SET

    public static final GridRedisCommand SET

SET.

#### MSET

    public static final GridRedisCommand MSET

MSET.

#### INCR

    public static final GridRedisCommand INCR

INCR.

#### DECR

    public static final GridRedisCommand DECR

DECR.

#### INCRBY

    public static final GridRedisCommand INCRBY

INCRBY.

#### DECRBY

    public static final GridRedisCommand DECRBY

DECRBY.

#### APPEND

    public static final GridRedisCommand APPEND

APPEND.

#### STRLEN

    public static final GridRedisCommand STRLEN

STRLEN.

#### GETSET

    public static final GridRedisCommand GETSET

GETSET.

#### SETRANGE

    public static final GridRedisCommand SETRANGE

SETRANGE.

#### GETRANGE

    public static final GridRedisCommand GETRANGE

GETRANGE.

#### DEL

    public static final GridRedisCommand DEL

DEL.

#### EXISTS

    public static final GridRedisCommand EXISTS

EXISTS.

#### EXPIRE

    public static final GridRedisCommand EXPIRE

EXPIRE.

#### PEXPIRE

    public static final GridRedisCommand PEXPIRE

PEXPIRE.

#### DBSIZE

    public static final GridRedisCommand DBSIZE

DBSIZE.

#### FLUSHDB

    public static final GridRedisCommand FLUSHDB

FLUSHDB.

#### FLUSHALL

    public static final GridRedisCommand FLUSHALL

FLUSHALL.

### Method Detail

#### values

    public static GridRedisCommand[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (GridRedisCommand c : GridRedisCommand.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static GridRedisCommand valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021